ProcessResourceApi (cloudera-manager-api-swagger 7.13.1 API)
Date: 2026-05-19

com.cloudera.api.swagger

## Class ProcessResourceApi

- java.lang.Object
- - com.cloudera.api.swagger.ProcessResourceApi

-     public class ProcessResourceApi
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProcessResourceApi()`
    `ProcessResourceApi(ApiClient apiClient)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiClient` | `getApiClient()`
    `File` | `getConfigFile(String clusterName, String configFileName, String roleName, String serviceName)` Returns the contents of the specified config file.
    `okhttp3.Call` | `getConfigFileAsync(String clusterName, String configFileName, String roleName, String serviceName, ApiCallback<File> callback)` Returns the contents of the specified config file.
    `okhttp3.Call` | `getConfigFileCall(String clusterName, String configFileName, String roleName, String serviceName, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for getConfigFile
    `ApiResponse<File>` | `getConfigFileWithHttpInfo(String clusterName, String configFileName, String roleName, String serviceName)` Returns the contents of the specified config file.
    `ApiProcess` | `getProcess(String clusterName, String roleName, String serviceName)`
    `okhttp3.Call` | `getProcessAsync(String clusterName, String roleName, String serviceName, ApiCallback<ApiProcess> callback)` (asynchronously)
    `okhttp3.Call` | `getProcessCall(String clusterName, String roleName, String serviceName, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for getProcess
    `ApiResponse<ApiProcess>` | `getProcessWithHttpInfo(String clusterName, String roleName, String serviceName)`
    `void` | `setApiClient(ApiClient apiClient)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ProcessResourceApi

          public ProcessResourceApi()

    - #### ProcessResourceApi

          public ProcessResourceApi(ApiClient apiClient)

  - ### Method Detail

    - #### getApiClient

          public ApiClient getApiClient()

    - #### setApiClient

          public void setApiClient(ApiClient apiClient)

    - #### getConfigFileCall

          public okhttp3.Call getConfigFileCall(String clusterName,
                                                String configFileName,
                                                String roleName,
                                                String serviceName,
                                                ProgressResponseBody.ProgressListener progressListener,
                                                ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                         throws ApiException

      Build call for getConfigFile
      Parameters:
        `clusterName` - (required)
        `configFileName` - Name of the config file to get. (required)
        `roleName` - (required)
        `serviceName` - (required)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### getConfigFile

          public File getConfigFile(String clusterName,
                                    String configFileName,
                                    String roleName,
                                    String serviceName)
                             throws ApiException

      Returns the contents of the specified config file. Returns the contents of the specified config file. A multi-level file name (e.g. hadoop-conf/hdfs-site.xml) is acceptable here.
      Parameters:
        `clusterName` - (required)
        `configFileName` - Name of the config file to get. (required)
        `roleName` - (required)
        `serviceName` - (required)
      Returns:
        File
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### getConfigFileWithHttpInfo

          public ApiResponse<File> getConfigFileWithHttpInfo(String clusterName,
                                                             String configFileName,
                                                             String roleName,
                                                             String serviceName)
                                                      throws ApiException

      Returns the contents of the specified config file. Returns the contents of the specified config file. A multi-level file name (e.g. hadoop-conf/hdfs-site.xml) is acceptable here.
      Parameters:
        `clusterName` - (required)
        `configFileName` - Name of the config file to get. (required)
        `roleName` - (required)
        `serviceName` - (required)
      Returns:
        ApiResponse<File>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### getConfigFileAsync

          public okhttp3.Call getConfigFileAsync(String clusterName,
                                                 String configFileName,
                                                 String roleName,
                                                 String serviceName,
                                                 ApiCallback<File> callback)
                                          throws ApiException

      Returns the contents of the specified config file. (asynchronously) Returns the contents of the specified config file. A multi-level file name (e.g. hadoop-conf/hdfs-site.xml) is acceptable here.
      Parameters:
        `clusterName` - (required)
        `configFileName` - Name of the config file to get. (required)
        `roleName` - (required)
        `serviceName` - (required)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### getProcessCall

          public okhttp3.Call getProcessCall(String clusterName,
                                             String roleName,
                                             String serviceName,
                                             ProgressResponseBody.ProgressListener progressListener,
                                             ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                      throws ApiException

      Build call for getProcess
      Parameters:
        `clusterName` - (required)
        `roleName` - (required)
        `serviceName` - (required)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### getProcess

          public ApiProcess getProcess(String clusterName,
                                       String roleName,
                                       String serviceName)
                                throws ApiException

      Parameters:
        `clusterName` - (required)
        `roleName` - (required)
        `serviceName` - (required)
      Returns:
        ApiProcess
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### getProcessWithHttpInfo

          public ApiResponse<ApiProcess> getProcessWithHttpInfo(String clusterName,
                                                                String roleName,
                                                                String serviceName)
                                                         throws ApiException

      Parameters:
        `clusterName` - (required)
        `roleName` - (required)
        `serviceName` - (required)
      Returns:
        ApiResponse<ApiProcess>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### getProcessAsync

          public okhttp3.Call getProcessAsync(String clusterName,
                                              String roleName,
                                              String serviceName,
                                              ApiCallback<ApiProcess> callback)
                                       throws ApiException

      (asynchronously)
      Parameters:
        `clusterName` - (required)
        `roleName` - (required)
        `serviceName` - (required)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

Copyright © 2026. All rights reserved.